#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"

#include <assert.h>

#include <stdio.h> // files
#include <io.h> // filelenght ..

#include <string.h>
class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();

    void diag(char * melde);
	void loadarray();
private:

	short from;
	short to;

	float *gate1_buff;
	float *gate2_buff;
	float *gate3_buff;
    float *pitch1_buff;
	float *pitch2_buff;
    float *pitch3_buff;
    float *velo1_buff;
    float *velo2_buff; 
    float *velo3_buff;
    
	bool admin;


// diagnose
errno_t err2;
FILE *textfile;  //char text_filename[MAX_FILENAME_LENGTH];
char text[400];


//pins actvity
state_type in_stat;
//core:
long buffnow;

#define PN_MIDI_IN  0
#define PN_FROM     1
#define PN_TO       2
#define PN_GATE1    3
#define PN_PITCH1   4
#define PN_VEL1     5
#define PN_GATE2    6
#define PN_PITCH2   7
#define PN_VEL2     8
#define PN_GATE3    9
#define PN_PITCH3   10
#define PN_VEL3     11
#define PN_ADMIN    12

#define SYSTEM_MSG		        0xF0
#define NOTE_OFF                0x80
#define NOTE_ON                 0x90

char buffer[1000];
char thisSEM[100];

struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};
};
#endif
