#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "SEModule_base.h"


class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();


	void loadarray();
private:
    float *input1_buffer; // pointer to circular buffer of samples
	float *input2_buffer;
	float *input3_buffer;
    int stat;// on off ...
    int chan;// 0 = channel 1
	int b2;//pitch     was = ( midi_msg / 0x100 ) & 0xff;
	int b3;//velocity  was = ( midi_msg / 0x10000 ) & 0xff;
    unsigned long this_midi;
	short transpose_ammount;

    char *text_input;

};
#endif
