#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"
#include <stdio.h>

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
    void loadArray();
	void loadArray2();
	
private:
    float *input1_buffer;
	float *input2_buffer;
    

	float *output1_buffer;

	
    char *text_input;
	char *text_input2;
	bool admin;
	int b2;


#define PN_PITCH  0
#define PN_MORPH  1
#define PN_FILE   2
#define PN_FILE2  3
#define PN_ADMIN  4
#define PN_OUT    5


char buffer[1000];
char thisSEM[100];

state_type in_stat;



#define MAX_FILENAME_LENGTH 400
char path[MAX_FILENAME_LENGTH];
char full_path[MAX_FILENAME_LENGTH];
char swav_filename[MAX_FILENAME_LENGTH];
char swav_filename2[MAX_FILENAME_LENGTH];
char text_filename[MAX_FILENAME_LENGTH];
char text[400];

errno_t err;// = -1;
errno_t err0;// = -1;
errno_t err2;// = -1;
FILE *textfile;// = NULL;
FILE *swavfileout;//  = NULL;
FILE *swavfileout2;//  = NULL;
float * tak_float;// = NULL;
float * tak_float2;// = NULL;

int last_take , last_take2, flang;
bool PLAY;
float org_pitch, f_take , is_taki;;
float oldpit;

struct LL
{
char thisSEM[100];
};
struct BB
{
	char buffer[1000];
};

};
#endif
