#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "E:\SDK2_SE_R\SEModule_base.h"

#include <stdio.h> // files

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void OnMidiData( unsigned long p_clock, unsigned long midi_msg, short pin_id);
	void open();
    //ralphs
    void diag(char * melde);
    void loadarray();
	void doaway();
private:
    float *input1_buffer;
	float *input2_buffer;
	float *input3_buffer;
	float *input4_buffer;
	

	short loop;
	short recit , playit , midithru;
	int last_turn;
	int a;

	short velo;
	short from;
	short onto;
    
    char *text_input;
	bool admin;
	#define PN_MIDI_IN  0
#define PN_REC      1
#define PN_PLAY     2 
#define PN_RETURN   3
#define PN_GATE     4
#define PN_RELOAD   5
#define PN_TEXT     6
#define PN_ADMIN    7
#define PN_LOOP     8
#define PN_FROM     9
#define PN_ONTO     10
#define PN_LASTOFF  11
#define PN_VELOCITY 12
#define PN_MIDITHRU 13
#define PN_DELETE   14
#define PN_MIDI_OUT 15


#define SYSTEM_MSG		        0xF0
#define NOTE_OFF                0x80
#define NOTE_ON                 0x90





#define BBB 1000

#define MAX_FILENAME_LENGTH 400
char path[MAX_FILENAME_LENGTH];
char full_path[MAX_FILENAME_LENGTH];
char smidi_filename[MAX_FILENAME_LENGTH];
char text_filename[MAX_FILENAME_LENGTH];
char text[400];


errno_t err;// = -1;
FILE *smidifileout;//  = NULL;
FILE *textfile;// = NULL;
bool isnew;// = false;
errno_t err2;// = -1;
char * tak_note;// = NULL;

state_type in_stat;

//core
bool REC;
bool PLAY;
bool wasoff;

char ch; 
char isit;



int b2;
int a1;
int result;

unsigned long last_take;
unsigned long taki;
unsigned long midi;
unsigned long flang;
unsigned long _from;
unsigned long _onto;
unsigned long midi_off[22];
	
#define mmm 100
#define mmmm 2000

struct LL
{
char thisSEM[mmm];
};
struct BB
{
	char buffer[mmmm];
};
};
#endif
